<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/aim_check_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>02/13/84  aim_check_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>The aim_check_ subroutine provides a number of entry points for
<span id="L4" class="LineNr"> 4 </span>determining the relationship between two access attributes.  An access
<span id="L5" class="LineNr"> 5 </span>attribute can be either an authorization or an access class.  See also
<span id="L6" class="LineNr"> 6 </span>the read_allowed_, read_write_allowed_, and write_allowed_ subroutines.
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Entry points in aim_check_:
<span id="L10" class="LineNr">10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>:Entry:  equal:  02/13/84 aim_check_$equal
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Function:  This entry point compares two access attributes to determine
<span id="L17" class="LineNr">17 </span>whether they satisfy the equal relationship of the access isolation
<span id="L18" class="LineNr">18 </span>mechanism <span class="textRainbow_lv0_p0">(</span>AIM<span class="textRainbow_lv0_p0">)</span>.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>declare aim_check_$equal entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>
<span id="L23" class="LineNr">23 </span>     returns <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L24" class="LineNr">24 </span>returned_bit = aim_check_$equal <span class="textRainbow_lv0_p0">(</span>acc_att1<span class="textRainbow_lv0_o0">,</span> acc_att2<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>Arguments:
<span id="L28" class="LineNr">28 </span>acc_atti
<span id="L29" class="LineNr">29 </span>   are access attributes.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L30" class="LineNr">30 </span>returned_bit
<span id="L31" class="LineNr">31 </span>   is the result of the comparison.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>   &quot;1&quot;b   acc_att1 equals acc_att2.
<span id="L33" class="LineNr">33 </span>   &quot;0&quot;b   acc_att1 does not equal acc_att2.
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>:Entry:  greater:  02/13/84 aim_check_$greater
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>Function:  This entry point compares two access attributes to determine
<span id="L40" class="LineNr">40 </span>whether they satisfy the greater-than relationship of the AIM.
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>Syntax:
<span id="L44" class="LineNr">44 </span>declare aim_check_$greater entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>
<span id="L45" class="LineNr">45 </span>     returns <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L46" class="LineNr">46 </span>returned_bit = aim_check_$greater <span class="textRainbow_lv0_p0">(</span>acc_att1<span class="textRainbow_lv0_o0">,</span> acc_att2<span class="textRainbow_lv0_p0">)</span>;
<span id="L47" class="LineNr">47 </span>
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span>Arguments:
<span id="L50" class="LineNr">50 </span>acc_atti
<span id="L51" class="LineNr">51 </span>   are access attributes.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L52" class="LineNr">52 </span>returned_bit
<span id="L53" class="LineNr">53 </span>   is the result of the comparison.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L54" class="LineNr">54 </span>   &quot;1&quot;b   acc_att1 is greater than acc_att2.
<span id="L55" class="LineNr">55 </span>   &quot;0&quot;b   acc_att1 is not greater than acc_att2.
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>
<span id="L58" class="LineNr">58 </span>:Entry:  greater_or_equal:  02/13/84 aim_check_$greater_or_equal
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>Function:  This entry point compares two access attributes to determine
<span id="L62" class="LineNr">62 </span>whether they satisfy either the greater-than or the equal relationships
<span id="L63" class="LineNr">63 </span>of the AIM.
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>Syntax:
<span id="L67" class="LineNr">67 </span>declare aim_check_$greater_or_equal entry <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span>
<span id="L68" class="LineNr">68 </span>     aligned<span class="textRainbow_lv0_p0">)</span> returns <span class="textRainbow_lv0_p0">(</span>bit<span class="textRainbow_lv1_p0">(</span>1<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_p0">)</span>;
<span id="L69" class="LineNr">69 </span>returned_bit = aim_check_$greater_or_equal <span class="textRainbow_lv0_p0">(</span>acc_att1<span class="textRainbow_lv0_o0">,</span> acc_att2<span class="textRainbow_lv0_p0">)</span>;
<span id="L70" class="LineNr">70 </span>
<span id="L71" class="LineNr">71 </span>
<span id="L72" class="LineNr">72 </span>Arguments:
<span id="L73" class="LineNr">73 </span>acc_atti
<span id="L74" class="LineNr">74 </span>   are access attributes.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L75" class="LineNr">75 </span>returned_bit
<span id="L76" class="LineNr">76 </span>   is the result of the comparison.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L77" class="LineNr">77 </span>   &quot;1&quot;b   acc_att1 is greater than or equal to acc_att2.
<span id="L78" class="LineNr">78 </span>   &quot;0&quot;b   acc_att1 is not greater than or equal to acc_att2.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
